Name:           fcitx-rime
Version:	0.2.2
Release:	1%{?dist}
License:	GPL-2.0+
Summary:	Rime input engine support for Fcitx
Url:		https://github.com/fcitx/fcitx-rime
Group:          Applications/Text
Source:		http://download.fcitx-im.org/%{name}/%{name}-%{version}.tar.xz

Requires:	brise
Requires:	fcitx >= 4.2.8
Requires:       libnotify
BuildRequires:	fcitx-devel
BuildRequires:	cmake
BuildRequires:	fdupes
BuildRequires:	hicolor-icon-theme
BuildRequires:	librime-devel
BuildRequires:  yaml-cpp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

This package is the Fcitx implementation of RIME.

%prep
%setup -q
#sed -i -e 's|add_subdirectory(data)||' CMakeLists.txt
sed -i 's/4.2.8.1/4.2.8/' CMakeLists.txt

%build
mkdir -pv build
pushd build
#cmake -DRIME_DATA_DIR=/usr/share/rime-data
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
make %{?_smp_mflags}

%install
pushd build
%make_install
popd
fdupes -nqr %{buildroot}
%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README.md
%dir %{_datadir}/fcitx/inputmethod/
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/inputmethod/rime.conf
%{_datadir}/fcitx/skin/default/*.png
%{_datadir}/fcitx/imicon/rime.png
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/icons/hicolor/scalable/status/*.svg

%changelog
* Mon Aug 19 2013 Easior Lars <easior@fedoraproject.org> - 0.2.2-1
- update to version 0.2.2.

* Sat Jan 12 2013 Easior Lars <easior@fedoraproject.org> - 18-1
- Initial build.

